Bug 413342 - Feature to toggle Present Windows with window class on current desktop
Summary: Feature to toggle Present Windows with window class on current desktop
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-present-windows (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-22 23:22 UTC by João Paulo
Modified: 2022-08-05 13:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description João Paulo 2019-10-22 23:22:21 UTC
Hi o/

I'm able to present the windows of all desktops and the current desktop. I'm also able to present windows by the window class on all desktops but not able to present windows by class on the current desktop!

Could you add more that feature please?
Comment 1 Marco Martin 2022-05-06 11:38:31 UTC
Git commit ae1937badc097a864ecfc62e79e7a3899c3be572 by Marco Martin.
Committed on 06/05/2022 at 11:37.
Pushed by mart into branch 'master'.

Remove completely present windows

since it has been replaced by windowview, and Desktop Grid
is ported as well, remove present windows which is effectively dead code
now
Related: bug 447001, bug 362844, bug 450487, bug 453426, bug 374481, bug 185381, bug 451150, bug 283333, bug 315314, bug 397500, bug 321236, bug 436572, bug 335782

M  +0    -1    src/effects/CMakeLists.txt
D  +0    -45   src/effects/presentwindows/CMakeLists.txt
D  +0    -17   src/effects/presentwindows/main.cpp
D  +0    -18   src/effects/presentwindows/main.qml
D  +0    -75   src/effects/presentwindows/metadata.json
D  +0    -2054 src/effects/presentwindows/presentwindows.cpp
D  +0    -343  src/effects/presentwindows/presentwindows.h
D  +0    -51   src/effects/presentwindows/presentwindows.kcfg
D  +0    -104  src/effects/presentwindows/presentwindows_config.cpp
D  +0    -46   src/effects/presentwindows/presentwindows_config.h
D  +0    -487  src/effects/presentwindows/presentwindows_config.ui
D  +0    -36   src/effects/presentwindows/presentwindows_proxy.cpp
D  +0    -35   src/effects/presentwindows/presentwindows_proxy.h
D  +0    -6    src/effects/presentwindows/presentwindowsconfig.kcfgc

https://invent.kde.org/plasma/kwin/commit/ae1937badc097a864ecfc62e79e7a3899c3be572
Comment 2 Nate Graham 2022-05-06 13:29:52 UTC
Removing the old code doesn't make wishlist requests invalid for the new version (which has the same name, so they are the same thing from the user's perspective); re-opening.
Comment 3 Bug Janitor Service 2022-08-01 12:54:36 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2758
Comment 4 Arjen Hiemstra 2022-08-05 13:52:17 UTC
Git commit 77af052f9d9bcf1cb397ed61b91d40e6e3f7849c by Arjen Hiemstra.
Committed on 05/08/2022 at 13:52.
Pushed by ahiemstra into branch 'master'.

WindowView: Add "show windows from class on current desktop" mode

We currently have "windows from current desktop" and "windows from
class" but not one combining both. This adds that mode along with a
(default empty) shortcut and border activation.

M  +18   -2    src/effects/windowview/qml/main.qml
M  +2    -0    src/effects/windowview/windowviewconfig.kcfg
M  +30   -1    src/effects/windowview/windowvieweffect.cpp
M  +6    -1    src/effects/windowview/windowvieweffect.h

https://invent.kde.org/plasma/kwin/commit/77af052f9d9bcf1cb397ed61b91d40e6e3f7849c